NXOpen.UF.ModlFeatures.CreateThruCurves

ModlFeatures.CreateThruCurves()

Refer to UF_MODL_create_thru_curves for documentation.

Signature: CreateThruCurves(sSection, sSpine, patch, alignment, value, vdegree, vstatus, bodyType, booleanArg, tol, cFaceId, cFlag)

Parameters:
  • sSection (NXOpen.UF.Modl.StringList Refer to string_list for documentation.) – Pointer to the section list structure. int num Total number of section string (min=2, max=150) int string[ ] Total number of segment curves/ sketch identifier of each section string (min=1, max =402) int dir[ ] Direction of each section string 1 = Start to end -1 = End to start tag_t id[ ] Identifier of section curve or the section builder object tags, but not both
  • sSpine – Pointer to the spine list structure. (for alignment = 5) int num Total number of spine string (min=0, max=1) int string[ ] Total number of segment curves/ sketch identifier of each spine string (min=1, max=402) int dir[ ] Direction of each spine string 1 = Start to end -1 = End to start tag_t id[ ] Identifier of spine curve or the section builder object tags, but not both
  • patch (int) – Patch type 1 = Single (Bezier) 2 = Multiple (B-spline)
  • alignment (int) – Alignment method 1 = Parameter 2 = Arc length 3 = Distance 4 = Angles 5= Spine curves 6 = Spline Points
  • value (list of float) – Data for alignment method: [0-2] = 3D vector defining direction line (for alignment = 3) [0-5] = Coordinates of line defining the axis of revolution for planes (for alignment = 4)
  • vdegree (int) – Degree of surface in V direction. For patch=2, 0
  • vstatus (int) – Periodic status of surface in V direction: 0 = Open 1 = Closed (at least s_section->num > 2)
  • bodyType (int) – Type of body= 0 = Sheet (Default) 1 = Solid
  • booleanArg (NXOpen.UF.Modl.FeatureSigns Refer to UF_FEATURE_SIGNS for documentation.) – The sign of the operation to be performed. UF_NULLSIGN = create new target solid UF_POSITIVE = add to target solid UF_NEGATIVE = subtract from target solid UF_UNSIGNED = intersect with target solid
  • tol (list of float) – Tolerances: [0] = Distance [1] = Angle (in radians) [2] = Intersection
  • cFaceId (list of Tag) – Object identifiers of neighbor surfaces or collectors of faces from which constraints are obtained [0] = first section string [1] = last section string
  • cFlag (list of int) – Flags indicating constraint types: 0 = no constraint 1 = tangency constraint 2 = curvature constraint with [0] = first primary string [1] = last primary string
Returns:

Body object identifier

Return type:

Tag

License requirements: SOLIDS MODELING and FREE-FORM MODELING or Basic Freeform Modeling